# SetPartnerPostPlacementWindow

> Set the in-video placement window, in seconds, of a YouTube post. Write access, posts toolset, MCP tool set_partner_post_placement_window.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `end` | `Int` | no | 32-bit integer |  |
| `postId` | `UUID!` | yes |  |  |
| `start` | `Int` | no | 32-bit integer |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SetPartnerPostPlacementWindow","variables":{"postId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"a78b99c2664fa9957f76ef423e10884ff7426f2200f0773d0a0e19def63a825c"}}}'
```

## Document

```graphql
mutation SetPartnerPostPlacementWindow($end: Int, $postId: UUID!, $start: Int) { __typename setPartnerPostPlacementWindow( input: {partnerPostId: $postId, startSeconds: $start, endSeconds: $end} ) { __typename partnerPost { __typename id ... on PartnerPostYoutubeVideo { __typename placementEndSeconds placementStartSeconds } } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/posts/set-partner-post-placement-window
